%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-aiosignal
Version:       1.3.2
Release:       1mamba
Summary:       A list of registered asynchronous callbacks
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/aio-libs/aiosignal
Source:        https://pypi.debian.net/aiosignal/aiosignal-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(frozenlist)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n aiosignal-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 1.3.2-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- package created using the webbuild interface
